<ion-header>
    <ion-navbar>
        <ion-title>QR code</ion-title>
    </ion-navbar>
</ion-header>

<ion-content padding>
    <div class="header" *ngIf="userDetail">
        <!-- <div class="avatar" style="background: url('/assets/imgs/default-user.png')"></div> -->
        <div *ngIf="!userDetail.profilePicture" class="avatar" style="background: url('/assets/imgs/default-user.png')"></div>
        <div *ngIf="userDetail.profilePicture" class="avatar" [style.backgroundImage]="'url(' + userDetail.profilePicture + ')'"></div>

        <p class="name">{{userDetail.username}}</p>
        <p class="text">{{userDetail.phoneNumber}}</p>
        <p class="text">{{userDetail.email}}</p>
    </div>
    <div class="qr-wrapper">
        <qrcode [qrdata]="cardNo" [size]="256" [level]="'M'"></qrcode>
    </div>
</ion-content>